Package com.collibra.dgc.core.api.dto.navigation

# Class RecentlyViewedAssetsRequest.Builder

Object
Builder

Enclosing class:
  `RecentlyViewedAssetsRequest`

public static class RecentlyViewedAssetsRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RecentlyViewedAssetsRequest`
  `build()`
  `RecentlyViewedAssetsRequest.Builder`
  `communityIds(List<UUID> communityIds)`
  `RecentlyViewedAssetsRequest.Builder`
  `domainIds(List<UUID> domainIds)`
  `RecentlyViewedAssetsRequest.Builder`
  `limit(int limit)`
  `RecentlyViewedAssetsRequest.Builder`
  `name(String name)`
  `RecentlyViewedAssetsRequest.Builder`
  `offset(int offset)`
  `RecentlyViewedAssetsRequest.Builder`
  `statusIds(List<UUID> statusIds)`
  `String`
  `toString()`
  `RecentlyViewedAssetsRequest.Builder`
  `typeIds(List<UUID> typeIds)`
  `RecentlyViewedAssetsRequest.Builder`
  `typeInheritance(boolean typeInheritance)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### offset

    public RecentlyViewedAssetsRequest.Builder offset(int offset)
    Returns:
      `this`.

  - ### limit

    public RecentlyViewedAssetsRequest.Builder limit(int limit)
    Returns:
      `this`.

  - ### name

    public RecentlyViewedAssetsRequest.Builder name(String name)
    Returns:
      `this`.

  - ### domainIds

    public RecentlyViewedAssetsRequest.Builder domainIds(List<UUID> domainIds)
    Returns:
      `this`.

  - ### communityIds

    public RecentlyViewedAssetsRequest.Builder communityIds(List<UUID> communityIds)
    Returns:
      `this`.

  - ### typeIds

    public RecentlyViewedAssetsRequest.Builder typeIds(List<UUID> typeIds)
    Returns:
      `this`.

  - ### statusIds

    public RecentlyViewedAssetsRequest.Builder statusIds(List<UUID> statusIds)
    Returns:
      `this`.

  - ### typeInheritance

    public RecentlyViewedAssetsRequest.Builder typeInheritance(boolean typeInheritance)
    Returns:
      `this`.

  - ### build

    public RecentlyViewedAssetsRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`